function [c, i] = regulafalsi(f, a, b, delta, N)
% Regula falsi method

    c = (a*f(b) - b*f(a))/(f(b) - f(a));  % 1st iteration 
    i = 1;   % number of iteration

    % Stopping Criteria: 
    %  error is smaller then the given tolerance, or the maximum iteration number is reached
    while abs (f(c)) > delta && i <= N
        if f(c)*f(a) < 0
            b = c;
        else
            a = c;
        end;
        i = i + 1;
        c = (a*f(b) - b*f(a))/(f(b) - f(a));
    end;
end